#include <p32xxxx.h>
#include <plib.h>

// [JTLinker Script File, {\񪺦m
// iHTftBootloaderC

#define SystemFrequency			80000000L
#define PBFrequency				SystemFrequency / 8
#define Timer1Tick				( PBFrequency / 256 / Timer1TogglesPerSec )
#define Timer1TogglesPerSec		2

// To Do : إTimer1_AȨ禡AëwDn_uv4C

void __ISR(_????_VECTOR, ipl????) ISR_Timer1(void)
{
    // To Do : MTimer_XСC
    INTClearFlag(INT_T????);

    // IO PortA(Toggle)C
    mPORTBToggleBits(BIT_13);
}

void main(void)
{
    // Disable the JTAG function
    DDPCONbits.JTAGEN = 0;

    // ϥXC32OSCConfig FunctionA
    // ʺAMCUtήɯ߬Primary Oscillator With PLL (80MHz)C
    OSCConfig(OSC_POSC_PLL, OSC_PLL_MULT_20, OSC_PLL_POST_1, 0);

    // ϥXC32OSCSetPBDIV FunctionA
    // ʺASystem ClockPB Clockv1:8C
    OSCSetPBDIV(OSC_PB_DIV_8);

    // ϥXC32SYSTEM ConfigƱNWait StatePPrefetch̨ΤơC
    SYSTEMConfig(SystemFrequency, SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE);

    // ϥXC32 I/O Prot FunctionNLEDI/O]wƦXAëwI/O PortAC
    mPORTBSetPinsDigitalOut(BIT_13); // D5
    mPORTBClearBits(BIT_13);

    // ϥXC32 OpenTimer1 Function ]wTimer1C
    OpenTimer1(T1_ON | T1_IDLE_CON | T1_GATE_OFF | T1_PS_1_256 | T1_SOURCE_INT, Timer1Tick);

    // To Do : ϥXC32 ConfigIntTimer1 FunctionҥTimer1_
    //		   ëwDn_uv4Anuv0C
    ConfigIntTimer1(T1_INT_???? | T1_INT_PRIOR_???? | T1_INT_SUB_PRIOR_????);

    // To Do : ϥXC32 INTEnableSystemMultiVectoredInt Function
    //		   ]wPIC32h_VqҦC
    INTEnableSystem????VectoredInt();

    while (1);
}
